import request from '@/utils/request'

// 查询被护理人基本信息列表
export function listPatientArchives(query) {
    return request({
        url: '/system/patientArchives/list',
        method: 'get',
        params: query
    })
}

// 查询被护理人基本信息详细
export function getPatientArchives(id) {
    return request({
        url: '/system/patientArchives/' + id,
        method: 'get'
    })
}
// 查询省信息
export function FirstLevel(query) {
    return request({
        url: '/system/communityInfo/getFirstLevelInfo',
        method: 'get',
        params: query
    })
}
// 查询市信息
export function SecondaryLevelInfo(id) {
    return request({
        url: `/system/communityInfo/getSecondaryLevelInfo?`+`parentId=${id}`,
        method: 'get',
    })
}
//省市区
export function getSubordinateRegions(Code) {
    return request({
        url: `/system/area/getSubordinateRegions?areaCode=${Code}`,
        method: 'get'
    })
}
// 新增被护理人基本信息
export function addPatientArchives(data) {
    return request({
        url: '/system/patientArchives',
        method: 'post',
        data: data
    })
}

// 修改被护理人基本信息
export function updatePatientArchives(data) {
    return request({
        url: '/system/patientArchives/edit',
        method: 'post',
        data: data
    })
}

// 删除被护理人基本信息
export function delPatientArchives(id) {
    return request({
        url: '/system/patientArchives/' + id,
        method: 'delete'
    })
}
// 重置密码
export function updatePassword(params) {
    return request({
        url:  '/system/patientArchives/updatePassword',
        method: 'post',
        params: params
    })
}
